#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QCamera>
#include <QCameraImageCapture>
#include <QPainter>
#include <QTimer>
#include <imageframe.h>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_pushButton_clicked();
    void imageCaptured(int,QImage);
    void onTimer();


    void on_horizontalSlider_sliderMoved(int position);

private:
    // l'interface utilisateur
    Ui::Widget *ui;
    // la caméra
    QCamera *cam;
    // une capture d'image
    QCameraImageCapture *imageCapture;
    // un timer pour acquérir des images régulièrement
    QTimer *timer;
    // une liste (tableau) d'ImageFrame pour dessiner des images sur l'interface
    QList <ImageFrame*> frames;
};

#endif // WIDGET_H
